Package: org.grails.build.parsing

## [Java] Class Option

- org.grails.build.parsing.Option

-     public class Option
      extends java.lang.Object

  Represents a command line option.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `description` |
    `private java.lang.String` | `name` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Option (java.lang.String name, java.lang.String description)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.String` | `getDescription()`
    `` | `public java.lang.String` | `getName()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.String description

    - #### private java.lang.String name

  - ### Constructor Detail

    - #### public Option(java.lang.String name, java.lang.String description)

  - ### Method Detail

    - #### public java.lang.String getDescription()

    - #### public java.lang.String getName()